openwrt 实现对shell脚本的守护处理

Posted cogitoergosum

tags:

篇首语:本文由小常识网(cha138.com)小编为大家整理,主要介绍了openwrt 实现对shell脚本的守护处理相关的知识,希望对你有一定的参考价值。

实现方法:https://whycan.com/t_6092.html

 

cat /etc/init.d/S99ledblink

#!/bin/sh

case "$1" in
        start)
                printf "Starting led: "
                start-stop-daemon -S -b -x /usr/bin/ledblink.sh
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        stop)
                printf "Stopping led: "
                kill $(ps aux | grep \'/usr/bin/ledblink.sh\' | grep -v \'grep\' | awk \'{print $1}\')
                [ $? = 0 ] && echo "OK" || echo "FAIL"
                ;;
        restart|reload)
                $0 stop
                $0 start
                ;;
        *)
                echo "Usage: $0 {start|stop|restart}"
                exit 1
esac

exit 0

/usr/bin/ledblink.sh

#!/bin/sh

if [ ! -f /sys/class/gpio/gpio356/direction ]; then
        echo 356 > /sys/class/gpio/export
fi

echo out > /sys/class/gpio/gpio356/direction

while [ 1 ]; do
        echo 0 > /sys/class/gpio/gpio356/value
        sleep 0.5
        echo 1 > /sys/class/gpio/gpio356/value
        sleep 0.5
done;

 

以上是关于openwrt 实现对shell脚本的守护处理的主要内容,如果未能解决你的问题,请参考以下文章

linux shell实现守护进程 看门狗 脚本

shell 脚本实现的 deamon 守护进程

shell 脚本实现的 deamon 守护进程

用shell写一个守护进程脚本

Ubus概述:(openwrt微总线架构)

shell脚本实现rysnc文件备份以及数据传输校验